export interface IPopUpItemOptions extends Jade.UI.IControlOptions {
    uidMap?: string;
    labelMap?: string;
    iconMap?: string;
    click?: Function;
    data?: any;
}
export declare class PopUpItem extends Jade.UI.Control {
    constructor(options: IPopUpItemOptions);
    get data(): any;
    get uid(): any;
    get uidMap(): string;
    get label(): any;
    get labelMap(): string;
    get icon(): any;
    get iconMap(): string;
    private get clickCallback();
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected resolveMap(id: string, defaultValue?: any): any;
}
